%define	api 2.6
%define	ruih_api 2.0
%define	major 2
%define	ruih_major 1
%define	libname %mklibname %{name}-core %{api} %{major}
%define	libnamedb %mklibname %{name}-db %{api} %{major}
%define	libnamerenderer %mklibname %{name}-renderer %{api} %{major}
%define	libnamerenderergst %mklibname %{name}-renderer-gst %{api} %{major}
%define	libnameruih %mklibname %{name}-ruih %{ruih_api} %{ruih_major}
%define	libnameserver %mklibname %{name}-server %{api} %{major}
%define	devname %mklibname %{name} -d

%define	url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A UPnP v2 Media Server
Name:		rygel
Version:	0.36.0
Release:	1
License:	LGPLv2+
Group:		Sound
Url:		https://wiki.gnome.org/Projects/Rygel
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		rygel-0.34.0-drop-NoShowIn-for-Gnome.patch
BuildRequires:	gettext >= 0.19.7
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
BuildRequires:	xsltproc
BuildRequires:	vala >= 0.24.0
# This is needed for docs, but is in Contrib
#BuildRequires:	valadoc
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.13.0
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.20.14
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.12.8
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0)
BuildRequires:	pkgconfig(libmediaart-2.0) >= 0.7.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.44.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(tracker-sparql-1.0) >= 0.14.0
BuildRequires:	pkgconfig(uuid)

Requires:	gnome-icon-theme-symbolic
Requires:	gstreamer1.0-libav
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	shared-mime-info
Requires:	tracker
Requires(post,preun):	rpm-helper

%rename		%{name}-tracker

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is
specifically designed for GNOME. It is based on GUPnP and is written (mostly)
in Vala language. The project was previously known as gupnp-media-server.

%files -f %{name}.lang
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-preferences
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}-%{api}
%dir %{_libdir}/%{name}-%{api}/plugins
%dir %{_libdir}/%{name}-%{api}/engines
%{_libdir}/%{name}/mx-extract
%{_libdir}/%{name}-%{api}/plugins/*
%{_libdir}/%{name}-%{api}/engines/*
%{_libdir}/girepository-1.0/Rygel*-%{api}.typelib
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/gir-1.0/Rygel*-%{api}.gir
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
%{_unitdir}/%{name}.service

# Properly install systemd support by registering or de-registering
# the source provided .service file
%post
%_post_service %{name}

%preun
%_preun_service %{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}rygel2.6_2 < 0.32.0
Obsoletes:	%{_lib}rygel2.6_2 < 0.32.0

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/librygel-core-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamedb}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}rygel2.6_2 < 0.32.0

%description -n %{libnamedb}
Shared library for %{name}.

%files -n %{libnamedb}
%doc AUTHORS COPYING
%{_libdir}/librygel-db-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamerenderer}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}rygel2.6_2 < 0.32.0

%description -n %{libnamerenderer}
Shared library for %{name}.

%files -n %{libnamerenderer}
%doc AUTHORS COPYING
%{_libdir}/librygel-renderer-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamerenderergst}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}rygel2.6_2 < 0.32.0

%description -n %{libnamerenderergst}
Shared library for %{name}.

%files -n %{libnamerenderergst}
%doc AUTHORS COPYING
%{_libdir}/librygel-renderer-gst-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnameruih}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}rygel2.6_2 < 0.32.0

%description -n %{libnameruih}
Shared library for %{name}.

%files -n %{libnameruih}
%doc AUTHORS COPYING
%{_libdir}/librygel-ruih-%{ruih_api}.so.%{ruih_major}*

#----------------------------------------------------------------------------

%package -n %{libnameserver}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}rygel2.6_2 < 0.32.0

%description -n %{libnameserver}
Shared library for %{name}.

%files -n %{libnameserver}
%doc AUTHORS COPYING
%{_libdir}/librygel-server-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	%{libnamedb} = %{EVRD}
Requires:	%{libnamerenderer} = %{EVRD}
Requires:	%{libnamerenderergst} = %{EVRD}
Requires:	%{libnameruih} = %{EVRD}
Requires:	%{libnameserver} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 0.32.0
Obsoletes:	%{name}-devel < 0.32.0

%description -n %{devname}
Files for development with %{name}.

%files -n %{devname}
%doc AUTHORS COPYING
%{_includedir}/%{name}-%{api}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}-*-%{api}.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1


%build
# No more need for this
#export LDFLAGS="-lgtk-3 -lglib-2.0 -lgee-0.8"
# Unrecognized: --enable-mediathek-plugin
%configure2_5x \
	--enable-tracker-plugin \
	--enable-media-export-plugin \
	--enable-external-plugin \
	--enable-playbin-plugin \
	--enable-gst-launch-plugin \
	--enable-example-plugins \
	--enable-vala \
	--with-media-engine=gstreamer \
	--with-systemduserunitdir=%{_unitdir} \
	--disable-silent-rules

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make V=1


%install
%makeinstall_std

%find_lang %{name}

%changelog

* Sat Jan 27 2018 Giovanni Mariani <mc2374@mclink.it> 0.36.0-1
- (8eb2c78) Fix BReqs
- (Giovanni Mariani: 237c4cd) Updated to release 0.36.0

* Sat Aug 19 2017 Giovanni Mariani <mc2374@mclink.it> 0.35.0-1
- (5dba78a) Updated to release 0.35.0, updated BReqs

* Fri Jun 16 2017 Giovanni Mariani <mc2374@mclink.it> 0.34.0-2
- (5936ef8) Fix preference GUI not shown in GNOME

* Tue May 23 2017 Giovanni Mariani <mc2374@mclink.it> 0.34.0-1
- (b532c67) Really fix BReqs for introspection
- (Giovanni Mariani: a8d4e53) Fix BReqs
- (Giovanni Mariani: 54fa3b6) Updated to release 0.34.0, adjusted BReqs, properly install the provided .service file for systemd and updated file lists

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.32.1-2
- (084285d) MassBuild#1230: Increase release tag

* Mon Oct 24 2016 Giovanni Mariani <mc2374@mclink.it> 0.32.1-1
- (02a3f67) Really fix file lists
- (Giovanni Mariani: 133afd7) Fix stupid typo
- (Giovanni Mariani: 4514177) Fixed file lists
- (Giovanni Mariani: 7d07ea6) Updated to release 0.32.1

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.32.0-2
- (28662ad) MassBuild#1169: Increase release tag

* Mon Oct 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.32.0-1
- (a82f177) Update files
- (Andrey Bondrov: ab3f345) Properly name shared libraries and development packages
- (Andrey Bondrov: a9086f7) New version 0.32.0

* Mon Jan 25 2016 Giovanni Mariani <mc2374@mclink.it> 0.28.2-1
- (07b3cf7) Updated to release 0.28.2, updated file BReqs (according to configure output) and file list

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 0.26.1-1
- (50b8790) update to 0.26.1

* Mon Mar 23 2015 Tigro <ashejn@gmail.com> 0.26.0-1
- (62763c0) update to 3.16.0

* Tue Mar 10 2015 Tigro <ashejn@gmail.com> 0.25.2.1-1
- (0d557d5) drop tracker subpackage
- (Tigro: 76e78d9) pack files again
- (Tigro: aee589f) pack files
- (Tigro: c42dbfc) bump api version
- (Tigro: d48cff1) export LDFLAGS
- (Tigro: c667280) fix typo
- (Tigro: efdf50a) more links
- (Tigro: f491432) new configure stuff
- (Tigro: 0016423) link with glib
- (Tigro: 02024d2) added BR: libmediaart-2.0
- (Tigro: 70b5c7b) update to 0.25.2.1


